<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}
{% load checkLink %}

{% block body %}
<nav class="navbar fixed-top navbar-light bg-light">
    <div class="container-fluid">

        <div class="d-flex align-items-center">
            <a class="d-inline-block" href="{% url 'home' %}"><img src="{% static '/image/purple-g.png' %}"
                    width="48px"></a>
            <h3 class="d-inline-block m-0" style="padding: 5px 0 0 5px;"> Album</h3>
        </div>

        <div class="d-flex">
            <a href="{% url 'filter_p' %}"><button class="btn button-primary me-1 d-inline"><span
                        class="material-icons">&#xef4f;</span>Filter</button></a>
            <button class="btn button-primary" onclick="scrollToTop()"><span
                    class="material-icons">&#xe5d8;</span>Top</button>
        </div>

    </div>

</nav>
<main class="home-body flex-fill">
    {% if messages %}
    <div class="alert">
        {% for message in messages %}
            <p class="mb-0"> {{ message }} </p>
        {% endfor %}
    </div>
    
    {% endif %}

    <h1>Your saved posts</h1>
    <h3>Post that you have saved from your relatives</h3>
    {% if filter %}
    <div class="alert" role="alert">
        <p style="font-size: 18px;">You are seeing only from:
            {%for name in rel_names%}
            <span style="font-weight: bold;">{{name}}</span>
            {%endfor%}
        </p>
        <hr>
        <div class="text-center">
            <a href="{% url 'filter_p' %}"><button class="btn btn-outline d-inline"><span
                        class="material-icons">&#xef4f;</span> Edit Filter</button></a>
            <a href="{% url 'photobook' %}"><button class="btn btn-outline"><span class="material-icons">&#xe14c;</span>
                    Delete Filter</button> </a>
        </div>

    </div>
    {%endif%}
    <ul id="home_tweets">
        <hr>
        {% for post in posts %}
            <a href="{% url 'relative-detail' pk=post.relative_pk %}" class="d-inline-block">
                <div class="home_profile">
                    {%if post.avatar_url%}
                    <figure class="home_profile_image"><img class="home_profile_actual_image"
                            src="data:image/jpeg;base64,{{post.avatar_url}}" width="50px"></figure>
                    {%elif post.avatar%}
                    <figure class="home_profile_image"><img class="home_profile_actual_image" src="{{post.avatar}}"
                            width="50px" height="50px"></figure>
                    {%else%}
                    <figure class="home_profile_image"><img class="home_profile_actual_image"
                            src="{%static '/image/default-avatar.png' %}" width="50px"  height="50px"></figure>
                    {%endif%}
                    <div class="home_profile_NandR">
                        <p class="home_profile_name">{{post.names}}</p>
                        <p class="home_relatives">{{post.relation}}</p>
                    </div>

                </div>
            </a>
        <!-- The posts start from here -->
        {% if post.sns_tag == 'twitter' %}
        <br>
        <li class="tweettime"><span style="font-weight: 700;">Date:</span> {{ post.date }}</li>
        <br>
        <li class="tweettext">
            {% for text in post.status%}
            {{ text|checkLink }}
            {%endfor%}
        </li>
        {% if post.media %}
        {% for m in post.media %}
        {% if m.type == "photo" %}
        <br>
        <img class="tweet-img" src="{{m.media_url}}" />
        <br>
        {% elif m.type == "video"%}
        <br>
        <video preload controls width="500">
            <source src="{{post.video_url}}" type="video/mp4">
        </video>
        <br>
        {%endif%}
        {%endfor%}
        {% endif %}
        {%endif%}

        {% if post.sns_tag == 'instagram' %}
        <br>
        <li class="tweettime"><span style="font-weight: 700;">Date: </span>{{ post.date }}</li>
        <br>
        <li class="tweettext"> {{ post.caption }} </li>
        {% if post.post_type == 1 %}
        <img class="tweet-img" src="data:image/jpeg;base64,{{post.img_url}}" />
        {% endif %}
        {% if post.post_type == 2 %}
        <video preload controls width="500">
            <source src="data:video/mp4;base64,{{post.video_url}}" type="video/mp4">
        </video>
        {% endif %}
        {% if post.post_type == 8 %}
        {% for resource in post.resources %}
        {% if resource.media_type == 1 %}
        <img class="tweet-img" src="data:image/jpeg;base64,{{ resource.media_img_url}}" />
        {% elif resource.media_type == 2%}
        <video preload controls width="500">
            <source src="data:video/mp4;base64,{{ resource.media_video_url}}" type="video/mp4">
        </video>
        {%endif%}
        {%endfor%}
        {% endif %}
        <br>
        {%endif%}

        {% if post.sns_tag == 'facebook' %}
        <br>
        <li class="tweettime"><span style="font-weight: 700;">Date: </span>{{ post.date }}</li>
        <br>
        <li class="tweettext">{{ post.status }} </li>
        {%if post.media%}
        {%for media in post.media%}
        {%if media.type == 'photo'%}
        <img class="tweet-img" src="data:image/jpeg;base64,{{media.media_url}}" />
        {% elif media.type == 'video_inline' %}
        <video preload controls width="500">
            <source src="data:video/mp4;base64,{{media.media_url}}" type="video/mp4">
        </video>
        {% endif %}
        {%if media.type == 'album'%}
        {%for resource in media.resources%}
        {%if resource.type == 'photo'%}
        <img class="tweet-img" src="data:image/jpeg;base64,{{resource.resource_url}}" />
        {% elif resource.type == 'video_inline' %}
        <video preload controls width="500">
            <source src="data:video/mp4;base64,{{resource.resource_url}}" type="video/mp4">
        </video>
        {% endif %}
        {%endfor%}
        {%endif%}
        {%endfor%}
        {%endif%}
        <br>
        {%endif%}
        <br>
        
        <div class="btn-posts">
            <a href="{% url 'remove_saved_post' post.id post.relative_pk %}" data-bs-toggle="modal" data-bs-target="#delete-{{post.id}}" class="btn btn-discard"><span class="material-icons">&#xe14c;</span></a>
            <!-- <div class="btn-posts d-inline-block ms-5">
                <a data-bs-toggle="modal" data-bs-target="#delete"><span class="material-icons">&#xe14c;</span></a>
            </div> -->

            <!-- Modal -->

            <div class="modal fade" id="delete-{{post.id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-body" style="line-height: 24px;">
                            Are you sure you want to discard this post?
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                            <a class="btn button-primary" href="{% url 'remove_saved_post' post.id post.relative_pk %}">Delete</a>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        
        <hr>
        {% endfor %}
    </ul>
    <br><br><br><br><br><br>
</main>
<!-- <script>
    console.log("Java in");
    function clicked(e)
        {
        if(!confirm('Are you sure to delete this post?')) {
            e.preventDefault();
        }
        }
    $(document).ready(function(){
        
        });
</script> -->
{% endblock %}